Desktop productivity for business analysts and programmers

EG Upgrade to 7.1: ORACLE is associated is either not licensed

Accepted Solution Solved
Reply
Frequent Contributor
Posts: 133
Accepted Solution

EG Upgrade to 7.1: ORACLE is associated is either not licensed

Hi,

A few hours ago I installed EG 7.1 on my desktop. I opened one of the projects I created under EG 6.9 (or whatever was previous) and now I see the following error:

 

ERROR: The product with which the engine ORACLE is associated is either not
       licensed for your system or the product license has expired. Please
       contact your SAS installation representative.
ERROR: A Connection to the oracle DBMS is not currently supported, or is not
       installed at your site.

 

Why is that? It is completely messed up now, sometimes It workes, when I create a new program, then it doesnt again.


Accepted Solutions
Solution
‎06-03-2016 03:27 AM
Community Manager
Posts: 2,882

Re: EG Upgrade to 7.1: ORACLE is associated is either not licensed

Do you have multiple SAS environments that you connect to?  Perhaps a Local SAS as well as remote (SASApp)?  It might be that you have a license for SAS/ACCESS to Oracle on one environment, but not another.

 

The upgrade to EG 7.1 wouldn't have changed this.  However, if your version of SAS was also updated, a product module might be missing.

 

Run:

 

proc product_status; run;

 

 

In your SAS environment to check product license/install status.

View solution in original post


All Replies
Solution
‎06-03-2016 03:27 AM
Community Manager
Posts: 2,882

Re: EG Upgrade to 7.1: ORACLE is associated is either not licensed

Do you have multiple SAS environments that you connect to?  Perhaps a Local SAS as well as remote (SASApp)?  It might be that you have a license for SAS/ACCESS to Oracle on one environment, but not another.

 

The upgrade to EG 7.1 wouldn't have changed this.  However, if your version of SAS was also updated, a product module might be missing.

 

Run:

 

proc product_status; run;

 

 

In your SAS environment to check product license/install status.

Frequent Contributor
Posts: 133

Re: EG Upgrade to 7.1: ORACLE is associated is either not licensed

Hi Chris,

thanks for your reply.

I do have a SAS server profile set up but dont want to use it for my local EG work.

Yes, I think our Admin also updated the SAS version.

 

For Base SAS Software ...
   Custom version information: 9.4_M3
   Image version information: 9.04.01M3P062415
For SAS/STAT ...
   Custom version information: 14.1
For SAS/GRAPH ...
   Custom version information: 9.4_M3
For High Performance Suite ...

 

regardless if I connect or not the error is:

 

ERROR: The product with which the engine ORACLE is associated is either not
       licensed for your system or the product license has expired. Please
       contact your SAS installation representative.
ERROR: A Connection to the oracle DBMS is not currently supported, or is not
       installed at your site.

Community Manager
Posts: 2,882

Re: EG Upgrade to 7.1: ORACLE is associated is either not licensed

If you don't see SAS/ACCESS to Oracle in the list:

 

For SAS/ACCESS Interface to Oracle ...
   Custom version information: 9.4_M3

Then you'll need to ask your SAS admin about this.  It's possible that he/she neglected to check a box during the deployment/upgrade.

☑ This topic is solved.

Need further help from the community? Please ask a new question.

Discussion stats
  • 3 replies
  • 236 views
  • 0 likes
  • 2 in conversation